# OpenHolidays

## GET /open-holidays/v1/public

> Use the OpenHolidays API to list public holidays for a specified country and year

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/open-holidays/v1/public":{"get":{"operationId":"publicHolidaysV1","summary":"Use the OpenHolidays API to list public holidays for a specified country and year","tags":["OpenHolidays"],"parameters":[{"name":"country","in":"query","description":"The ISO 3166-1 country to fetch public holidays for","required":true,"schema":{"type":"string"}},{"name":"year","in":"query","description":"The year to fetch public holidays for, up to ~5 years in the future","required":true,"schema":{"$ref":"#/components/parameters/holidays__year"}},{"name":"Accept","in":"header","description":"The content-type to respond with","required":false,"schema":{"type":"string","enum":["application/json","text/calendar"]}},{"name":"Accept-Language","in":"header","description":"The language to return the results in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/open-holidays/v1/public/output.json"}},"text/calendar":{}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"parameters":{"holidays__year":{"name":"year","in":"query","description":"The year, up to ~5 years in the future","schema":{"type":"integer","minimum":1970,"maximum":9999,"format":"int32"}}},"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /open-holidays/v1/school

> Use the OpenHolidays API to list school holidays for a specified country and year

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/open-holidays/v1/school":{"get":{"operationId":"schoolHolidaysV1","summary":"Use the OpenHolidays API to list school holidays for a specified country and year","tags":["OpenHolidays"],"parameters":[{"name":"country","in":"query","description":"The ISO 3166-1 country to fetch school holidays for","required":true,"schema":{"type":"string"}},{"name":"subdivision","in":"query","description":"The specific subdivision to filter by","required":false,"schema":{"type":"string"}},{"name":"year","in":"query","description":"The year to fetch school holidays for, up to ~5 years in the future","required":true,"schema":{"$ref":"#/components/parameters/holidays__year"}},{"name":"Accept","in":"header","description":"The content-type to respond with","required":false,"schema":{"type":"string","enum":["application/json","text/calendar"]}},{"name":"Accept-Language","in":"header","description":"The language to return the results in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/open-holidays/v1/school/output.json"}},"text/calendar":{}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"parameters":{"holidays__year":{"name":"year","in":"query","description":"The year, up to ~5 years in the future","schema":{"type":"integer","minimum":1970,"maximum":9999,"format":"int32"}}},"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /open-holidays/v1/subdivisions

> Use the OpenHolidays API to list sub divisions for a specified country

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/open-holidays/v1/subdivisions":{"get":{"operationId":"holidaySubdivisionsV1","summary":"Use the OpenHolidays API to list sub divisions for a specified country","tags":["OpenHolidays"],"parameters":[{"name":"country","in":"query","description":"The ISO 3166-1 country to fetch school holidays for","required":true,"schema":{"type":"string"}},{"name":"Accept-Language","in":"header","description":"The language to return the results in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/open-holidays/v1/subdivisions/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```
